## org.eclipse.m2m.atl.dsls.tcs.injector
Class ElementTrace

    java.lang.Object
      org.eclipse.m2m.atl.dsls.tcs.injector.ElementTrace

    public class ElementTrace

extends java.lang.Object

Constructor Summary
`ElementTrace(java.lang.Object element)`

Method Summary
`void` `addPropertyLocation(java.lang.String propertyName, java.lang.Object location)`
`java.lang.Object` `getElement()`
`java.lang.Object` `getLocation()`
`java.lang.Object` `getPropertyLocation(java.lang.String propertyName)`
`void` `setLocation(java.lang.Object location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementTrace

    public ElementTrace(java.lang.Object element)

Method Detail

### addPropertyLocation

    public void addPropertyLocation(java.lang.String propertyName,
                                    java.lang.Object location)

### getElement

    public java.lang.Object getElement()

### setLocation

    public void setLocation(java.lang.Object location)

### getLocation

    public java.lang.Object getLocation()

### getPropertyLocation

    public java.lang.Object getPropertyLocation(java.lang.String propertyName)

Copyright 2007 IBM Corporation and others. All Rights Reserved.